#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0xd037f608, "lib80211_unregister_crypto_ops" },
	{ 0x7f0f70d1, "lib80211_register_crypto_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x20c707c5, "kmem_cache_alloc_trace" },
	{ 0x1e08ddee, "kmalloc_caches" },
	{ 0x4bb237a9, "skb_put" },
	{ 0x841a512a, "skb_push" },
	{ 0x7a4497db, "kzfree" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc1721368, "skb_trim" },
	{ 0xa74b7fe0, "skb_pull" },
	{ 0xb0e602eb, "memmove" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0xf46ea150, "seq_printf" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "lib80211,libarc4");


MODULE_INFO(srcversion, "8B81D22FB9E4D0C18F89E6E");
